#! /bin/bash
#
# Open new shell
#

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

# Default variables
: ${package_name:=$PACKAGE_NAME}
: ${package_version:=$PACKAGE_VERSION}
: ${package_revision:=$PACKAGE_REVISION}
: ${package_revision:=$PACKAGE_REV}
: ${package_statedir:=.ac6_build}
: ${current_task:=Development shell}

source_script_once "configure_utils.sh"

do_buildstep_prepend

motd_file=$tmpdir/.motd-oneshot.$$
cat <<\MOTD > $motd_file
#
# To execute a build step, type 'execute_buildstep buildstep-name' 
# where buildstep-name can be:
#	The name of a generic buildstep:
#		auto-reconfigure
#		configure
#		configure-help
#		compile
#		install
#		populate-sysroot
#		split
#		package
#		build
#	The name of the build-step script to execute (without the .sh if unambiguous):
#		edit_config.sh
#		make_all.sh
#		...
#
# Note builds will be automatically launched in a streamlined environment:
#	Stop on first error (KEEP_GOING=false)
#	Do not build in parallel (PARALLEL_MAKE=1)
#	Be verbose when launching the compiler (use_verbose_compiler=true)
# You may reset these manually if needed
MOTD

export KEEP_GOING=false
export PARALLEL_MAKE=1
export use_verbose_compiler=true
launch_terminal $motd_file

do_buildstep_append
